# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "ccsum"
version = "0.1.0"
authors = ["sevenc-nanashi"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Convenient Checksum Utility"
readme = "README.md"
keywords = [
    "checksum",
    "hash",
    "utility",
    "cli",
]
categories = ["command-line-utilities"]
license = "MIT"
repository = "https://github.com/sevenc-nanashi/ccsum"

[[bin]]
name = "ccsum"
path = "src/main.rs"

[[test]]
name = "main"
path = "tests/main.rs"

[dependencies.anyhow]
version = "1.0.95"

[dependencies.clap]
version = "4.5.26"
features = ["derive"]

[dependencies.clap_complete]
version = "4.5.42"

[dependencies.colored]
version = "3.0.0"

[dependencies.duplicate]
version = "2.0.0"

[dependencies.easy-ext]
version = "1.0.2"

[dependencies.fs-err]
version = "3.0.0"

[dependencies.hex]
version = "0.4.3"

[dependencies.lazy-regex]
version = "3.4.1"

[dependencies.md-5]
version = "0.10.6"

[dependencies.palette]
version = "0.7.6"

[dependencies.regex]
version = "1.11.1"

[dependencies.regex-split]
version = "0.1.0"

[dependencies.sha1]
version = "0.10.6"

[dependencies.sha2]
version = "0.10.8"

[dependencies.strum]
version = "0.26.3"
features = ["derive"]

[dependencies.thiserror]
version = "2.0.11"

[dev-dependencies.assert_cmd]
version = "2.0.16"

[dev-dependencies.glob]
version = "0.3.2"

[dev-dependencies.rstest]
version = "0.24.0"
